Summary:	GNOME base library
Summary(pl.UTF-8):	Podstawowa biblioteka GNOME
Name:		libgnome
Version:	2.32.1
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnome/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	a4345e6087ae6195d65a4674ffdca559
Patch0:		%{name}-load-config.patch
Patch1:		%{name}-glib.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-vfs2-devel >= 2.24.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonobo-devel >= 2.24.0
BuildRequires:	libcanberra-devel
BuildRequires:	libtool
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
Suggests:	gnome-vfs2
Obsoletes:	gnome-objc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome package includes
non-GUI-related libraries that are needed to run GNOME. The libgnomeui
package contains X11-dependent GNOME library features.

%description -l pl.UTF-8
GNOME (GNU Network Object Model Environment) jest przyjaznym dla
użytkownika zbiorem aplikacji i narzędzi do używania w połączeniu z
zarządcą okien pod X Window System. Pakiet libgnome zawiera biblioteki
nie związane z graficznym interfejsem potrzebne do uruchomienia GNOME.
Pakiet libgnomeui zawiera biblioteki GNOME zależne od X11.

%package libs
Summary:	Base libgnome library and bonobo modules
Summary(pl.UTF-8):	Podstawowa biblioteka libgnome oraz moduły bonobo
Group:		Libraries
Requires:	gnome-vfs2-libs >= 2.24.0
Conflicts:	libgnome < 2.32.0-3

%description libs
Base libgnome library and bonobo modules.

%description libs -l pl.UTF-8
Podstawowa biblioteka libgnome oraz moduły bonobo.

%package devel
Summary:	Headers for libgnome
Summary(pl.UTF-8):	Pliki nagłówkowe libgnome
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel >= 2.24.0
Requires:	gnome-vfs2-devel >= 2.24.0
Requires:	libbonobo-devel >= 2.24.0
Requires:	libcanberra-devel

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-devel package
includes the libraries and include files that you will need to use
libgnome.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania programów korzystających z
libgnome.

%package static
Summary:	Static libgnome libraries
Summary(pl.UTF-8):	Statyczne biblioteki libgnome
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libgnome libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek libgnome.

%package apidocs
Summary:	libgnome API documentation
Summary(pl.UTF-8):	Dokumentacja API libgnome
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgnome API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libgnome.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--disable-esd \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
export _POSIX2_VERSION=199209
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

# no static modules and *.la for bonobo modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{la,a}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{sr@ije,sr@ijekavian}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install desktop_gnome_accessibility_keyboard.schemas
%gconf_schema_install desktop_gnome_accessibility_startup.schemas
%gconf_schema_install desktop_gnome_applications_at_mobility.schemas
%gconf_schema_install desktop_gnome_applications_at_visual.schemas
%gconf_schema_install desktop_gnome_applications_browser.schemas
%gconf_schema_install desktop_gnome_applications_office.schemas
%gconf_schema_install desktop_gnome_applications_terminal.schemas
%gconf_schema_install desktop_gnome_applications_window_manager.schemas
%gconf_schema_install desktop_gnome_background.schemas
%gconf_schema_install desktop_gnome_file_views.schemas
%gconf_schema_install desktop_gnome_interface.schemas
%gconf_schema_install desktop_gnome_lockdown.schemas
%gconf_schema_install desktop_gnome_peripherals_keyboard.schemas
%gconf_schema_install desktop_gnome_peripherals_mouse.schemas
%gconf_schema_install desktop_gnome_sound.schemas
%gconf_schema_install desktop_gnome_thumbnail_cache.schemas
%gconf_schema_install desktop_gnome_thumbnailers.schemas
%gconf_schema_install desktop_gnome_typing_break.schemas

%preun
%gconf_schema_uninstall desktop_gnome_accessibility_keyboard.schemas
%gconf_schema_uninstall desktop_gnome_accessibility_startup.schemas
%gconf_schema_uninstall desktop_gnome_applications_at_mobility.schemas
%gconf_schema_uninstall desktop_gnome_applications_at_visual.schemas
%gconf_schema_uninstall desktop_gnome_applications_browser.schemas
%gconf_schema_uninstall desktop_gnome_applications_office.schemas
%gconf_schema_uninstall desktop_gnome_applications_terminal.schemas
%gconf_schema_uninstall desktop_gnome_applications_window_manager.schemas
%gconf_schema_uninstall desktop_gnome_background.schemas
%gconf_schema_uninstall desktop_gnome_file_views.schemas
%gconf_schema_uninstall desktop_gnome_interface.schemas
%gconf_schema_uninstall desktop_gnome_lockdown.schemas
%gconf_schema_uninstall desktop_gnome_peripherals_keyboard.schemas
%gconf_schema_uninstall desktop_gnome_peripherals_mouse.schemas
%gconf_schema_uninstall desktop_gnome_sound.schemas
%gconf_schema_uninstall desktop_gnome_thumbnail_cache.schemas
%gconf_schema_uninstall desktop_gnome_thumbnailers.schemas
%gconf_schema_uninstall desktop_gnome_typing_break.schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_bindir}/gnome-open
%dir %{_datadir}/gnome-background-properties
%{_datadir}/gnome-background-properties/gnome-default.xml
%dir %{_pixmapsdir}/backgrounds
%dir %{_pixmapsdir}/backgrounds/gnome
%{_pixmapsdir}/backgrounds/gnome/background-default.jpg
%{_mandir}/man7/gnome-options*
%{_sysconfdir}/gconf/schemas/desktop_gnome_accessibility_keyboard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_accessibility_startup.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_at_mobility.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_at_visual.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_browser.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_office.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_terminal.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_window_manager.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_background.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_file_views.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_interface.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_lockdown.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_mouse.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_sound.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_thumbnail_cache.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_thumbnailers.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_typing_break.schemas
%{_sysconfdir}/sound

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-2.so.0
%attr(755,root,root) %{_libdir}/bonobo/monikers/libmoniker_extra_2.so
%{_libdir}/bonobo/servers/GNOME_Moniker_std.server

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-2.so
%{_includedir}/libgnome-2.0
%{_pkgconfigdir}/libgnome-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnome-2.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%changelog
* Mon May 06 2013 Marcin Krol <hawk@tld-linux.org> 7705713
- fix building with glib >= 2.30

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> ebae20e
- rename sr@ije locale to sr@ijekavian
- don't remove en@shaw locale, it's available via LANGUAGE now
- better description for -libs

* Sat Feb 05 2011 Artur Frysiak <artur@frysiak.net> 69b7de7
- up to 2.32.1
- use %{__rm} macro
- drop libtool file

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> aaa14dd
- -devel R: libcanberra-devel (required only through Requires.private in pc
  file, but libcanberra.pc defines -D_REENTRANT, which should be used)
- release: 5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 945010d
- BR: libcanberra-devel

* Tue Oct 19 2010 Jan Rękorajski <baggins@pld-linux.org> 7f1b9ee
- rel 4
- added C:libgnome < 2.32.0-3 to libs package (devel-hints-en.txt:14)

* Fri Oct 15 2010 Jan Rękorajski <baggins@pld-linux.org> c9a7f76
- rel 3
- moved libraries to -libs package for multiarch installs

* Thu Oct 07 2010 Patryk Zawadzki <patrys@room-303.com> 76268d4
- suggest gnome-vfs2 for working protocol handlers
- rel 2

* Wed Sep 29 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e539b47
- updated to 2.32.0

* Wed Jun 02 2010 Jan Rękorajski <baggins@pld-linux.org> 139acd4
- rel 2
- drop ESD support, pulsaudio does the hardware, libcanberra software

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> bb8fe66
- removed en@shaw locale

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> f615c3c
- ver. 2.30.0

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> 7114377
- BR: docbook-dtd412-xml

* Sat Sep 26 2009 Marcin Banasiak <marcin.banasiak@gmail.com> e00700b
- updated to 2.28.0

* Fri Mar 20 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4476452
- release 2

* Tue Mar 17 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 35aa15d
- updated for 2.26.0

* Tue Mar 17 2009 Marcin Banasiak <marcin.banasiak@gmail.com> b1e8812
- updated to 2.26.0

* Thu Sep 25 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 0722860
- updated Source-md5

* Thu Sep 25 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 751dfc2
- updated to 2.24.1

* Tue Mar 11 2008 Marcin Banasiak <marcin.banasiak@gmail.com> c718ee6
- updated to 2.22.0; merged changes from DEVEL

